Antom, leading provider of tailored payment solutions

inquireCardDetail

POST /v1/aba/cards/inquireCardDetail

Use this API to retrieve detailed information for a specific card by its unique identifier, enabling your business to access precise data such as card status, transaction history, spending limits, and metadata for customer support, account management, or troubleshooting purposes.

Structure

A message consists of a header and body. The following sections are focused on the body structure. For the header structure, see: 

Note: Set the data type of each field (except array) as String. This means that you must use double quotation marks (" ") to enclose the field value. Examples:

  • If the data type of a field is Integer and its value is 20, set it as "20". 
  • If the data type of a field is Boolean and its value is true, set it as "true". 

Request parameters

assetId String  REQUIRED

The unique identifier of a card.

More information:

  • Maximum length: 32 characters

Response parameters

result Result  REQUIRED

The result of the API call.

Show child parameters

assetId String  

The unique identifier of a card.

This parameter is returned only when the value of result.resultStatus is S.

More information:

  • Maximum length: 32 characters

cardNickName String  

The card nickname defined by the merchant, which can help to manage multiple cards more conveniently.

This parameter is returned only when the value of result.resultStatus is S.

More information:

  • Maximum length: 120 characters

cardStatus String  

The card status. Valid values are:

  • ACTIVE: The card is active and can be used normally.
  • FROZEN: The card is frozen and temporarily unavailable for use.
  • CANCEL: The card has been canceled and is no longer valid.

This parameter is returned only when the value of result.resultStatus is S.

More information:

  • Maximum length: 32 characters

maskedCardNo String  

The masked card number.

This parameter is returned only when the value of result.resultStatus is S.

More information:

  • Maximum length: 32 characters

cardBrand String  

The card brand. Valid value is MASTERCARD.

This parameter is returned only when the value of result.resultStatus is S.

More information:

  • Maximum length: 32 characters

createdTime Datetime  

Card created time.

This parameter is returned only when the value of result.resultStatus is S.

More information:

  • Maximum length: 32 characters
  • The value follows the ISO 8601 standard format. For example, "2019-11-27T12:01:01+08:00".

updatedTime Datetime  

Card updated time.

This parameter is returned only when the value of result.resultStatus is S.

More information:

  • Maximum length: 32 characters
  • The value follows the ISO 8601 standard format. For example, "2019-11-27T12:01:01+08:00".

purpose String  

Purpose of the card. Valid values are:

  • AIRLINE
  • LODGING

This parameter is returned only when the value of result.resultStatus is S.

More information:

  • Maximum length: 32 characters

note String  

Provide additional information for the card application.

More information:

  • Maximum length: 512 characters

metadata Map<String, String>  

Customer metadata in key-value format.

More information:

  • Maximum length: 3096 characters

authorizationControl AuthorizationControl  

Authorization control rules.

This parameter is returned only when the value of result.resultStatus is S.

Show child parameters

cardholderInfo CardholderInfo  

The information of the cardholder.

Show child parameters
API Explorer

Request

URL
Method
POST
Request Body

Response

Response Body


Result/Error codes

CodeValueMessageFurther action
SUCCESSSSuccess

No further action is needed.

PARAM_ILLEGALFIllegal parameters exist. For example, a non-numeric input, or an invalid date.

Check and verify whether the request fields, including the header fields and body fields, are correct and valid. For details on the fields of each API, see the specific API Structure section.

PROCESS_FAILFA general business failure occurred. Do not retry.

Human intervention is usually needed. It is recommended that you contact Antom Technical Support Team to resolve the issue.

UNKNOWN_EXCEPTIONUAPI failed due to unknown reason.

The service might be down, retry later. If the issue persists, contact our Technical Support Team.

CONTRACT_NOT_EXISTFThe contract check has failed.

Ensure the Partner has already signed a contract and the input is correct.

USER_NOT_EXISTFThe user does not exist.

Retry with the correct user information.

ASSET_NOT_EXISTFAsset not exist.

Check the asset ID and try again.

ACCESS_TOKEN_EXPIREDFThe access token expired.

Refresh token to get a new access token or contact our Technical Support Team to address it.